StartPoint Example |
Using Programming Languages other than VBA
Sub Example_StartPoint() ' This example creates an elliptical arc and then ' finds the coordinates of its start point and endpoint. Dim ellObj As AcadEllipse Dim majAxis(0 To 2) As Double Dim center(0 To 2) As Double Dim radRatio As Double Dim startPoint As Variant Dim endPoint As Variant ' Create an ellipse in model space center(0) = 5#: center(1) = 5#: center(2) = 0# majAxis(0) = 10: majAxis(1) = 20#: majAxis(2) = 0# radRatio = 0.3 Set ellObj = ThisDrawing.ModelSpace.AddEllipse(center, majAxis, radRatio) ' Enter a start angle of 45 degrees, and an end angle of 270 degrees ellObj.startAngle = 45 * (3.14 / 180) ellObj.endAngle = 270 * (3.14 / 180) ZoomAll ' Find the start and endpoints for the ellipse startPoint = ellObj.startPoint endPoint = ellObj.endPoint MsgBox "This ellipse has a start point of " & startPoint(0) & ", " & startPoint(1) & ", " & startPoint(2) & " and an endpoint of " & endPoint(0) & ", " & endPoint(1) & ", " & endPoint(2), vbInformation, "StartPoint Example" End Sub
Comments? |